#!/bin/sh
#

# PROVIDE: tpop3d
# BEFORE:  LOGIN

#
# Add the following line to /etc/rc.conf to enable tpop3d:
#tpop3d_enable="YES"
#
# You may also wish to use the following variables to fine-tune startup:
#tpop3d_flags="..."
#

. /etc/rc.subr

name="tpop3d"
rcvar=`set_rcvar`


stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

tpop3d_enable=${tpop3d_enable:-"NO"}
tpop3d_flags=${tpop3d_flags:-""}
load_rc_config $name

command=/usr/local/sbin/tpop3d
required_files=/usr/local/etc/tpop3d.conf
pidfile=/var/run/tpop3d.pid

tpop3d_flags="${tpop3d_flags} -f ${required_files} -p ${pidfile}"

run_rc_command "$1"
